Sales Invoices
The sales invoices resource.
Basehttps://rest.carbon.ms/salesInvoices
GET
/salesInvoicesList sales invoicess
Retrieve a paginated list of sales invoicess. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/salesInvoices
curl --request GET \
--url 'https://rest.carbon.ms/salesInvoices?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"invoiceId": "xyz789",
"status": "string",
"customerId": "xyz789",
"customerReference": "string",
"invoiceCustomerId": "xyz789",
"invoiceCustomerLocationId": "xyz789",
"invoiceCustomerContactId": "xyz789"
}
]GET
/salesInvoicesRetrieve a sales invoices
Fetch a single sales invoices by filtering on `id`.
Query parameters
idstringMatch on the sales invoices's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/salesInvoices
curl --request GET \
--url 'https://rest.carbon.ms/salesInvoices?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"invoiceId": "xyz789",
"status": "string",
"customerId": "xyz789",
"customerReference": "string",
"invoiceCustomerId": "xyz789",
"invoiceCustomerLocationId": "xyz789",
"invoiceCustomerContactId": "xyz789"
}